<?
/**
 * @Project GoldMU.Net
 * @copyright 03/03/2022
 * @Email: goldmu.net@gmail.com
 * @Zalo: 0923 117 898
*/
 
	if (!defined('GoldWebMU')) die("Ban khong co quyen truy cap he thong");

	$file_danhhieu = 'config/danhhieu.txt';
	
	if (isset($_POST['action']))
	{
		$action = $_POST['action'];
		if ($action == 'danhhieu')
		{
			$character = $_POST['character'];
			$danhhieu = $_POST['danhhieu'];
			$buy_option = abs(intval($_POST['buy_option']));
			$pass2 = $_POST['pass2'];
			
			if( $sendsv === false ) { $error = "Tốc độ xử lý của bạn quá nhanh, vui lòng chờ vài giây rồi tiếp tục thực hiện."; }
			elseif (empty($character))
			{
				$error = "Chưa chọn nhân vật nhận Danh Hiệu";
			}
			elseif (preg_match("/[^a-zA-Z0-9_$]/", $character))
				{
					$error = "Dữ liệu lỗi - Nhân vật chỉ được sử dụng kí tự a-z, A-Z, số (1-9) và dấu _.";
				}
			elseif(empty($danhhieu)) {
				$error = "Chưa chọn Danh Hiệu muốn nhận";
			}
			elseif($buy_option == 0) {
				$error = "Chưa chọn Hình Thức Nhận Danh Hiệu.";
			}
			elseif (empty($pass2))
			{
				$error = "Chưa nhập mật khẩu Web";
			}
			elseif (preg_match("/[^a-zA-Z0-9_$]/", $pass2))
				{
					$error = "Dữ liệu lỗi - Mật khẩu Web chỉ được sử dụng kí tự a-z, A-Z, số (1-9) và dấu _.";
				}
			else {
			
			$getcontent_url = $server_url . "/sv_char.php";
            $getcontent_data = array(
                'login'    =>  $_SESSION['mu_username'],
                'name'    =>  $_SESSION['mu_nvchon'],
                
                'pass2'    =>  $pass2,
                'danhhieu'    =>  $danhhieu,
                'buy_option'    =>  $buy_option,
				'pagesv'	=>	'sv_char_danhhieu',
                'string_login'    =>  $_SESSION['checklogin'],
                'passtransfer'    =>  $passtransfer
            ); 
            
            $reponse = _getContent($getcontent_url, $getcontent_data, $getcontent_method, $getcontent_curl);

				if ( empty($reponse) ) $error = "Server bảo trì.";
				elseif($reponse == "login_other") {
					$error = "<font size='3' color='red'>Tài khoản đã được đăng nhập trên trình duyệt khác hoặc máy tính khác.</font>";
					session_destroy();
				}
				else {
					$info = explode('<vweb>',$reponse);
					if ($info[0] == 'OK') {
						$_SESSION['acc_gcoin'] = $_SESSION['acc_gcoin']-$info[1];
						$notice = "|OK|".$info[2];
					}
					else $error = $reponse;
				}
			}
		}
	}
	
	$danhhieu_read = danhhieu_load($file_danhhieu);
	$slg_danhhieu = count($danhhieu_read);

	$accept = 1;
	if ($_SESSION['nv_online'] == 1) { $accept = 0; }
	$page_template = "templates/char_manager/danhhieu.tpl";
?>